import tkinter
from tkinter import messagebox

class MyApp():

	def __init__(self, root):
		root.config(bg="yellow")
		self.setGUI()

	def setGUI(self):		

		self.label1 = tkinter.Label(root)
		self.label1["text"] = "Eingabe"
		self.label1.config(foreground = "blue" )
		self.label1.config(background = "red") #"#FF0000"
		self.label1.grid(row=0, column=0, padx="10",pady="10")
		#self.label1.grid(row=0, columnspan=0, padx="10",pady="10")



		self.inputui = tkinter.Entry(root, background="blue", foreground="yellow", relief=tkinter.SUNKEN)
		self.inputui.grid(row=0, column=1,sticky="ew",padx="10",pady="10")

		self.var_name = tkinter.StringVar()
		self.var_name.set("Ihr Name...")
		self.inputui["textvariable"] = self.var_name

# ------------------------------------------

		self.bnRev = tkinter.Button(root)
		self.bnRev["text"] = "Umdrehen"
		self.bnRev["command"] = self.onReverse
		self.bnRev.grid(row=1, column=0, padx="10",pady="10")

		self.bnOk = tkinter.Button(root)
		self.bnOk["text"] = "Ok"
		self.bnOk["command"] = root.quit
		self.bnOk.grid(row=1, column=1, padx="10",pady="10")

# ------------------------------------------

	def onReverse(self):
		self.var_name.set( self.var_name.get()[::-1] )
		messagebox.showinfo( "Hello Python", "Hello World")



root = tkinter.Tk()
root.title("Mein Fenster")
root.geometry("250x150")
app = MyApp(root)
root.mainloop()