import tkinter

from tkinter import messagebox


class MyApp():

	def __init__(self, root):
		root.config(bg="yellow")
		self.setGUI()

	def setGUI(self):
		root.columnconfigure(1, weight=3)  # setzt die 1. Spalte auf fill
		root.columnconfigure(2, weight=1)  # setzt die 2. Spalte auf fill

		self.label1 = tkinter.Label(root)
		self.label1["text"] = "Eingabe"
		self.label1.config(foreground = "blue" )
		self.label1.config(background = "red") 
		self.label1.grid(row=0, column=0, sticky="W", padx="10",pady="10")

		self.inputui1 = tkinter.Entry(root, background = "white", relief=tkinter.SUNKEN)
		self.inputui1.grid(row=0, column=1,sticky="NSEW",padx="10",pady="10")
		self.var_name1 = tkinter.StringVar()
		self.var_name1.set("Ihr Nachname...")
		self.inputui1["textvariable"] = self.var_name1

		self.inputui2 = tkinter.Entry(root, background = "white", relief=tkinter.SUNKEN)
		self.inputui2.grid(row=0, column=2,sticky="NSEW",padx="10",pady="10")
		self.var_name2 = tkinter.StringVar()
		self.var_name2.set("Ihr Vorname...")
		self.inputui2["textvariable"] = self.var_name2

#-------------------------------------------

		self.label3 = tkinter.Label(root)
		self.label3["text"] = "Straße"
		self.label3.config(foreground = "blue" )
		self.label3.config(background = "red") 
		self.label3.grid(row=1, column=0,sticky="W", padx="10",pady="10")

		self.inputui3 = tkinter.Entry(root, background = "white", relief=tkinter.SUNKEN)
		self.inputui3.grid(row=1, column=1, columnspan=2,sticky="NSEW", padx="10",pady="10")
		self.var_name3 = tkinter.StringVar()
		self.var_name3.set("Strasse...")
		self.inputui3["textvariable"] = self.var_name3


# ------------------------------------------

		buttonframe = tkinter.Frame(root)
		buttonframe.config(background = "blue") #"#FF0000"
		#buttonframe.pack(fill="x", side="bottom" )
		buttonframe.grid(row=2, column=0, columnspan=3, padx="10",pady="10")


		self.bnAction = tkinter.Button(buttonframe)
		self.bnAction["text"] = "Umdrehen"
		self.bnAction["command"] = self.onReverse
		self.bnAction.grid(row=0, column=0, padx="10",pady="10")

		self.bnOk = tkinter.Button(buttonframe)
		self.bnOk["text"] = "Ok"
		self.bnOk["command"] = root.quit
		self.bnOk.grid(row=0, column=1, padx="10",pady="10")

# ------------------------------------------

	def onReverse(self):
		self.var_name1.set( self.var_name1.get()[::-1] )
		#messagebox.showinfo( "Hello Python", "Hello World")



root = tkinter.Tk()
root.title("Mein Fenster")
root.geometry("350x150")
app = MyApp(root)
root.mainloop()