﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PythonIDE {
    public partial class WSearch : Form {

        private static List<String> liste = new List<String>();
        private String search = "";

        public String SearchString {
            get { return search; }
        }

        public Boolean IgnoreCase {
            get { return !chkNotIgnoreCase.Checked; }
        }


        public WSearch(Form parent) {
            InitializeComponent();
            this.Owner = parent;  // Important, because CenterOwner       
            this.StartPosition = FormStartPosition.CenterParent;
        }

        private void WSearch_Load(object sender, EventArgs e) {
            this.KeyPreview = true;  // fuers das Abfangen von Enter
            foreach (String s in liste) {
                cbSearchText.Items.Add(s);
            }
        }

        private void WSearch_KeyDown(object sender, KeyEventArgs e) {
            if (!e.Alt && !e.Control && !e.Shift && e.KeyValue == 13) {
                bnOk_Click(sender, e);
            }
        }


        private void bnOk_Click(object sender, EventArgs e) {
            search = cbSearchText.Text;
            liste.Clear();
            foreach (String s in cbSearchText.Items) {
                liste.Add(s);
            }
            if (cbSearchText.SelectedIndex < 0) {
                liste.Add(search);
            }
            this.DialogResult = DialogResult.OK; // klappt sonst nicht, wenn Enter gedrueckt wurde
            Close();
        }

        private void bnEsc_Click(object sender, EventArgs e) {
            Close();
        }

    }
}
